Get an Alias
GET
https://api.vercel.com/v4/aliases/{idOrAlias}Retrieves an Alias for the given host name or alias ID.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.aliases.getAlias({ from: 1540095775951, idOrAlias: "example.vercel.app", projectId: "prj_12HKQaOmR5t5Uy6vdcQsNIiZgHGB", since: 1540095775941, until: 1540095775951, teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "alias": "my-alias.vercel.app", "created": "2017-04-26T23:00:34.232Z", "createdAt": "1540095775941", "creator": { "uid": "96SnxkFiMyVKsK3pnoHfx3Hz", "email": "john-doe@gmail.com", "username": "john-doe" }, "deletedAt": "1540095775941", "deployment": { "id": "dpl_5m8CQaRBm3FnWRW1od3wKTpaECPx", "url": "my-instant-deployment-3ij3cxz9qr.now.sh", "meta": "[object Object]" }, "deploymentId": "dpl_5m8CQaRBm3FnWRW1od3wKTpaECPx", "projectId": "prj_12HKQaOmR5t5Uy6vdcQsNIiZgHGB", "redirect": "string", "redirectStatusCode": "301", "uid": "example_id", "updatedAt": "1540095775941", "protectionBypass": "value", "microfrontends": { "defaultApp": { "projectId": "example_id" }, "applications": [ { "fallbackHost": "string", "projectId": "example_id" } ] }}AuthorizationbearerToken
Default authentication mechanism
200The alias information
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404The alias was not found
410Error